#
# spec file for package perl-RDF-Trine
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-RDF-Trine
Version:        1.019
Release:        1.29
%define cpan_name RDF-Trine
Summary:        An RDF Framework for Perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/RDF-Trine/
Source0:        https://cpan.metacpan.org/authors/id/G/GW/GWILLIAMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Algorithm::Combinatorics)
BuildRequires:  perl(Cache::LRU)
BuildRequires:  perl(DBD::SQLite) >= 1.14
BuildRequires:  perl(DBI)
BuildRequires:  perl(DBIx::Connector)
BuildRequires:  perl(Data::UUID)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Error)
BuildRequires:  perl(HTTP::Negotiate)
BuildRequires:  perl(IRI)
BuildRequires:  perl(JSON) >= 2
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Module::Load::Conditional) >= 0.38
BuildRequires:  perl(Moose) >= 2
BuildRequires:  perl(MooseX::ArrayRef)
BuildRequires:  perl(Scalar::Util) >= 1.24
BuildRequires:  perl(Set::Scalar)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::JSON)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Text::CSV_XS)
BuildRequires:  perl(Text::Table)
BuildRequires:  perl(URI) >= 1.52
BuildRequires:  perl(XML::CommonNS) >= 0.04
BuildRequires:  perl(XML::Namespace)
BuildRequires:  perl(XML::SAX) >= 0.96
Requires:       perl(Algorithm::Combinatorics)
Requires:       perl(Cache::LRU)
Requires:       perl(DBD::SQLite) >= 1.14
Requires:       perl(DBI)
Requires:       perl(DBIx::Connector)
Requires:       perl(Data::UUID)
Requires:       perl(Digest::SHA)
Requires:       perl(Error)
Requires:       perl(HTTP::Negotiate)
Requires:       perl(IRI)
Requires:       perl(JSON) >= 2
Requires:       perl(LWP::UserAgent)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Log::Log4perl)
Requires:       perl(Module::Load::Conditional) >= 0.38
Requires:       perl(Moose) >= 2
Requires:       perl(MooseX::ArrayRef)
Requires:       perl(Scalar::Util) >= 1.24
Requires:       perl(Set::Scalar)
Requires:       perl(Text::CSV_XS)
Requires:       perl(Text::Table)
Requires:       perl(URI) >= 1.52
Requires:       perl(XML::CommonNS) >= 0.04
Requires:       perl(XML::Namespace)
Requires:       perl(XML::SAX) >= 0.96
Recommends:     perl(XML::LibXML) >= 1.7
%{perl_requires}

%description
RDF::Trine provides an Resource Descriptive Framework (RDF) with an
emphasis on extensibility, API stability, and the presence of a test suite.
The package consists of several components:

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes.ttl examples README

%changelog
* Fri Jan  5 2018 coolo@suse.com
- updated to 1.019
  see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
  <http://kasei.us/code/files/RDF-Trine-1.019.tar.gz>
    dcterms:isVersionOf <http://kasei.us/code/rdf-trine/#project> ;
    dcterms:replaces    <http://kasei.us/code/files/RDF-Trine-1.018.tar.gz> ;
    doap:Version    [
    doap:revision     "1.019" ;
    doap:created      "2018-01-04" ;
    ];
    asc:changes     [
    asc:update		"Add test case for TSV serializer fixes (#155, #156 from @phochste)." ;
    ] .
* Wed Jun 21 2017 coolo@suse.com
- updated to 1.018
  see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
  <http://kasei.us/code/files/RDF-Trine-1.018.tar.gz>
    dcterms:isVersionOf <http://kasei.us/code/rdf-trine/#project> ;
    dcterms:replaces    <http://kasei.us/code/files/RDF-Trine-1.017.tar.gz> ;
    doap:Version    [
    doap:revision     "1.018" ;
    doap:created      "2017-06-20" ;
    ];
    asc:changes     [
    asc:update		"Fix API inconsistency in RDF::Trine::Store::SPARQL (#149, #150 from @minusdavid)." ;
    ] .
* Fri Jun  2 2017 coolo@suse.com
- updated to 1.017
  see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
  <http://kasei.us/code/files/RDF-Trine-1.017.tar.gz>
    dcterms:isVersionOf <http://kasei.us/code/rdf-trine/#project> ;
    dcterms:replaces    <http://kasei.us/code/files/RDF-Trine-1.016.tar.gz> ;
    doap:Version    [
    doap:revision     "1.017" ;
    doap:created      "2017-06-01" ;
    ];
    asc:changes     [
    asc:update		"Fixes to data update code in RDF::Trine::Store::SPARQL (#146 from @minusdavid)." ;
    ] .
* Tue Apr 25 2017 coolo@suse.com
- updated to 1.016
  see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
  <http://kasei.us/code/files/RDF-Trine-1.016.tar.gz>
    dcterms:isVersionOf <http://kasei.us/code/rdf-trine/#project> ;
    dcterms:replaces    <http://kasei.us/code/files/RDF-Trine-1.015.tar.gz> ;
    doap:Version    [
    doap:revision     "1.016" ;
    doap:created      "2017-04-24" ;
    ];
    asc:changes     [
    asc:update		"Updated Makefile.PL for perl 5.26." ;
    asc:update      "Fixes to RDF::Trine::Store::Redland (#145 from @doriantaylor)." ;
    asc:update      "Remove use of TryCatch in scripts and developer tests." ;
    ] .
* Fri Jan  6 2017 coolo@suse.com
- updated to 1.015
  see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
  <http://kasei.us/code/files/RDF-Trine-1.015.tar.gz>
    dcterms:isVersionOf <http://kasei.us/code/rdf-trine/#project> ;
    dcterms:replaces    <http://kasei.us/code/files/RDF-Trine-1.014.tar.gz> ;
    doap:Version    [
    doap:revision     "1.015" ;
    doap:created      "2017-01-04" ;
    ];
    asc:changes     [
    asc:update      "Remove call to $dbh->begin_work when already working with AutoCommit turned off." ;
    asc:update      "Remove use of RDF::Redland in bin/rdf_store_serialize.pl." ;
    asc:update      "Updated rdf_store_add_file.pl to guess the appropriate parser based on the filename." ;
    asc:update      "Remove use of TryCatch (#138 from @ppisar)." ;
    asc:update      "Change hashbang to use env (#137 from KjetilK)." ;
    asc:update      "Replaced all uses and initializations from Text::CSV in favour to Text::CSV_XS (#136 from @jordivador)." ;
    ] .
* Mon May 18 2015 coolo@suse.com
- updated to 1.014
  see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
  <http://kasei.us/code/files/RDF-Trine-1.014.tar.gz>
    dcterms:isVersionOf <http://kasei.us/code/rdf-trine/#project> ;
    dcterms:replaces    <http://kasei.us/code/files/RDF-Trine-1.013.tar.gz> ;
    doap:Version    [
    doap:revision     "1.014" ;
    doap:created      "2015-05-17" ;
    ];
    asc:changes     [
    asc:update      "Fix data loss bug in SQLite backend schema and hash encoding (from Mike Frager PR #126)." ;
    asc:update      "Added Cache::LRU requirement to prerequisite list and README." ;
    asc:update      "Read data as utf8 from STDIN." ;
    ] .
* Wed Mar 25 2015 coolo@suse.com
- updated to 1.013
  * BUG FIXES
    Update how file URIs are constructed to better deal with windows systems.
    Fixed bug in RDF::Trine::Model->size that was only considering triples, not quads.
    Fix get_statements and count_statements when called with quad patterns with non-nil graph.
  * NEW FEATURES
    Added RDF::Trine::Store::LanguagePreference class.
    Added RDF::Trine::Parser->parse_url method (github issue #119).
  * ENHANCEMENTS
    Improve insertion performance in RDF::Trine::Store::Memory by keeping caching quad SHA1 hashes.
    Make RDF::Trine::VariableBindings->join more flexible in testing of equality.
    Simplify coercion of values in RDF::Trine::Node::Resource constructor.
  * OTHER
    Update triple store tests for expected results when passing in quad patterns with non-nil graphs.
    Miscellaneous code and documentation improvements (from Kjetil Kjernsmo via github pull request #116).
    Added IRI to list of prereq modules in Makefile.PL.
* Sat Feb  7 2015 coolo@suse.com
- initial package 1.012
  * created by cpanspec 1.78.08
